- About

  System util app. It must be pushed to /system/priv-app on the device.
  Requires a device where 'adb root' is possible, typically a userdebug build.

- Build & Install:

  make AfwThSystemUtil
  adb root
  adb remount
  adb push AfwThSystemUtil.apk /system/priv-app
  adb reboot

- Usage

  - Remove all Google accounts:
    adb shell am instrument -w com.android.afwtest.systemutil/.RemoveGoogleAccount

  - Remove a Google account:
    adb shell am instrument \
       -w -e account accountName com.android.afwtest.systemutil/.RemoveGoogleAccount

  - Change system locale
     adb shell am instrument \
       -w -e locale locale_code com.android.afwtest.systemutil/.ChangeLocale

  - locale_code can be language code only or languageCode_COUNTRYCODE, e.g. en, en_US, en_UK, zh_CN.

  - Simulate a NFC bump
    Configure the parameters you would like to be sent in the nfc bump by editing afw-test.props

      adb push afw-test.props /data/local/tmp/afw-test.props
      adb shell am start -n com.android.afwtest.systemutil/.NfcBumpSender
                         -e NFCBumpFile "/data/local/tmp/afw-test.props"
